package cn.iocoder.yudao.module.mes.dal.mysql.feedingrecord;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.mes.controller.admin.feedingrecord.vo.FeedingRecordPageReqVO;
import cn.iocoder.yudao.module.mes.dal.dataobject.feedingrecord.FeedingRecordDO;
import org.apache.ibatis.annotations.Mapper;

/**
 * 投料记录 Mapper
 *
 * @author 内蒙必硕
 */
@Mapper
public interface FeedingRecordMapper extends BaseMapperX<FeedingRecordDO> {

    default PageResult<FeedingRecordDO> selectPage(FeedingRecordPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<FeedingRecordDO>()
                .eqIfPresent(FeedingRecordDO::getFeedingRecordCode, reqVO.getFeedingRecordCode())
                .eqIfPresent(FeedingRecordDO::getProductId, reqVO.getProductId())
                .eqIfPresent(FeedingRecordDO::getPlanId, reqVO.getPlanId())
                .eqIfPresent(FeedingRecordDO::getItemId, reqVO.getItemId())
                .eqIfPresent(FeedingRecordDO::getFeedingPipeline, reqVO.getFeedingPipeline())
                .eqIfPresent(FeedingRecordDO::getFeedingType, reqVO.getFeedingType())
                .eqIfPresent(FeedingRecordDO::getWeight, reqVO.getWeight())
                .betweenIfPresent(FeedingRecordDO::getFeedingTime, reqVO.getFeedingTime())
                .eqIfPresent(FeedingRecordDO::getUserId, reqVO.getUserId())
                .eqIfPresent(FeedingRecordDO::getRemark, reqVO.getRemark())
                .eqIfPresent(FeedingRecordDO::getRecordStatus, reqVO.getRecordStatus())
                .betweenIfPresent(FeedingRecordDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(FeedingRecordDO::getId));
    }

}